using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace LLNet.Tienda.MainForms.Forms
{
    public partial class frmConsultasSiNo : Form
    {
        #region Properties
        public bool Respuesta { get; set; }
        #endregion

        #region Constructor
        /// <summary>
        /// Costructor del formulario, para consultar y tener una respusta Si/No
        /// </summary>
        /// <param name="pConsulta">Texto de consulta. Debe contener signos de explamación si es necesario.</param>
        public frmConsultasSiNo(string pConsulta)
        {
            InitializeComponent();
            lblConsulta.Text = pConsulta;
        }
        #endregion

        #region Events
        private void btnSi_Click(object sender, EventArgs e)
        {
            Respuesta = true;
            this.Close();
        }

        private void btnNo_Click(object sender, EventArgs e)
        {
            Respuesta = false;
            this.Close();
        }

        private void frmConsultasSiNo_KeyDown(object sender, KeyEventArgs e)
        {
            //Respuesta de la consulta
            switch (e.KeyCode)
            {
                case Keys.F12: // Si
                    btnSi_Click(null, null);
                    break;
                case Keys.Escape: // NO
                    btnNo_Click(null, null);
                    break;

            }// fin switch
        } //fin keydown 
        #endregion

    } //fin partial class
} //fin namespace
